import { Component, HostListener, OnInit } from '@angular/core';
import { FormBuilder, Validators } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { Router } from '@angular/router';
import { FormQuizService } from '../../../../services/form-quiz.service';

@Component({
  selector: 'app-form-start-quiz',
  templateUrl: './form-start-quiz.component.html',
  styleUrls: ['./form-start-quiz.component.css','../../../../../styles.css'],
})
export class FormStartQuizComponent implements OnInit{

  codeCtrl: any;
  form: any;
  categorie = '';
  question = '';
  score = '';
  erreur = '';

  constructor(
    private formQuizService: FormQuizService,
    private fb: FormBuilder,
    private router: Router,
  ) {}

  ngOnInit(): void {
    this.codeCtrl = this.fb.control(null, []);
    this.form = this.fb.group({
      code: [
        '', 
        [
          Validators.required, 
          Validators.maxLength(6), 
          Validators.pattern('^[a-zA-Z]*$')
        ]
      ]
    });
  }

  submitForm(): void {
    if (this.form?.valid) {
        this.router.navigate(['/play-quiz'], {//mettre à jour la route
            queryParams: {
                
            },
        });
    }
  }

  
  modelChangeFn(e: string) {
    this.categorie = '';
    this.question = '';
    this.score = '';
    this.erreur = '';
    if (e.length == 6) {
      // mettre en place la récupération des valeur de la partie
      //isQuizFind = getQuiz(code)
      if (false) {
        this.categorie = 'oui';
        this.question = 'oui';
        this.score = 'oui';
      } else {
        this.erreur = 'X Entered ID does not exist'
      }
    }
  }

  // attention en cas d'ajout de champ rajouter une vérification de champ
  @HostListener('keypress', ['$event'])
  onKeyPress(event: KeyboardEvent): void {
    const regex = new RegExp('^[a-zA-Z]*$');
    if (!regex.test(event.key)) {
      event.preventDefault();
    }
  }
}
