import { Component, Inject, OnInit } from '@angular/core';

import { Router } from '@angular/router';
import Swal from 'sweetalert2';
import { FormCreateQuizComponent } from '../home/form-quiz/form-create-quiz/form-create-quiz.component';
import { MAT_DIALOG_DATA, MatDialog, MatDialogRef } from '@angular/material/dialog';
import { OverlayContainer } from '@angular/cdk/overlay';

@Component({
    selector: 'app-start',
    templateUrl: './start.component.html',
    styleUrl: './start.component.css',
})
export class StartComponent implements OnInit {
    constructor(public router: Router, public dialog: MatDialog) {}
    ngOnInit(): void {}
    startParty() {
        Swal.fire({
            title: 'Join a Quiz',
            input: 'number',
            inputAttributes: {
                autocapitalize: 'off',
                placeholder: 'Quiz code',
            },
            showCloseButton: true,
            confirmButtonText: 'Go !',
            confirmButtonColor: '#7E3F97',
            showLoaderOnConfirm: true,
            preConfirm: async (login) => {
                try {
                    /* Requette a l'api pour recuperer le bon quizz */
                } catch (error) {
                    Swal.showValidationMessage(`Request failed: ${error}`);
                }
            },
            allowOutsideClick: () => !Swal.isLoading(),
        }).then((result) => {
            if (result.isConfirmed) {
                /* Redirection vers la page du quizz */
            }
        });
    }

    async createParty(enterAnimationDuration: string, exitAnimationDuration: string) {
        this.dialog
            .open(FormCreateQuizComponent, {
                width: '50rem',
                enterAnimationDuration,
                exitAnimationDuration,
                panelClass: 'custom-dialog-overlay',
                hasBackdrop: false,
            })
            .afterClosed()
            .subscribe(() => {});
    }
}
