import { Component, Input } from '@angular/core';
import { CommonModule } from '@angular/common'; // Importez CommonModule

@Component({
  selector: 'app-quiz-list',
  templateUrl: './quiz-list.component.html',
  styleUrl: './quiz-list.component.css',
  standalone: true,
  imports: [CommonModule],
})
export class QuizListComponent {
  // Les propriétés d'entrée (Input) permettent de personnaliser le bouton
  @Input() title: string = 'Quiz Title'; // Texte du bouton
  @Input() content: string = 'Quiz Content'; // Texte du bouton
  @Input() type: 'button' | 'submit' | 'reset' = 'button'; // Type du bouton
  @Input() disabled: boolean = false; // Désactivation du bouton
  @Input() color: 'primary' | 'secondary' | 'danger' = 'primary'; // Style du bouton
}
